#
# spec file for package vhba
#
#
# norootforbuild
#
%define pkgname	vhba-module
Name:		vhba
BuildRequires:	kernel-source kernel-syms module-init-tools
Summary:	Virtual SCSI HBA driver
Version:	20130607
Release:	6.2
Group:		System/Kernel
License:	GPL v2
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Source0:	%{pkgname}-%{version}.tar.bz2
Source2:	preamble
Source100:	%{name}-kmp.changes
Autoreqprov:	on
%suse_kernel_module_package -p %_sourcedir/preamble kdump um ec2

%description
This package contains a kernel module for vhba.

%package KMP
Summary:	Virtual SCSI HBA driver
Group:	System/Kernel

%description KMP
This package contains a kernel module for vhba

%prep
%setup -q -n %{pkgname}-%{version}

set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
	echo "Flavor: $flavor"
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	#cd obj/$flavor
	#kat/kat /usr/src/linux-obj/%_target_cpu/$flavor kernel.api.h kat/have_scsi_macros.c kat/scatterlist_has_page_link.c
	#cd ../..
	export EXTRA_CFLAGS="$EXTRA_CFLAGS -I$PWD/obj/$flavor"
	make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
		M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
if [ $flavor != debug ] ; then
        find . -iname "*.ko" -exec strip --strip-debug {} \;
fi
	make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
		M=$PWD/obj/$flavor
done
# Configuration for udev
%{__mkdir_p} %{buildroot}/etc/udev/rules.d
%{__cat} > %{buildroot}/etc/udev/rules.d/60-vhba.rules << 'EOF'
# Make vhba
KERNEL=="vhba_ctl", NAME="%k", MODE="0660", OWNER="root", GROUP="users"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir /etc/udev
%dir /etc/udev/rules.d
%config /etc/udev/rules.d/60-vhba.rules

%changelog
* Sat Sep  1 2012 cs@linux-administrator.com
- update to 20120422
* Tue Sep 27 2011 cs@linux-administrator.com
- initial build
